packet.h File Reference

Deals with packets of information that form the working data objects. More...

`#include <iostream>`
`#include <memory>`
`#include <set>`
`#include "regina-core.h"`
`#include "output.h"`
`#include "packet/packetlistener.h"`
`#include "packet/packettype.h"`
`#include "utilities/safepointeebase.h"`
`#include <boost/noncopyable.hpp>`

## Classes

struct | regina::PacketInfo< packetType >
| A template that stores information about a particular type of packet. More...
class | regina::Packet
| Represents a packet of information that may be individually edited or operated upon. More...
class | regina::Packet::ChangeEventSpan
| An object that facilitates firing packetToBeChanged() and packetWasChanged() events. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_PACKET(class_, id)
| Defines various constants, types and virtual functions for a subclass of Packet. More...
#define | REGINA_PACKET_FROM(class_, helper)
| An alternative to REGINA_PACKET, for scenarios where the relevant PacketInfo specialisation is not visible. More...

## Typedefs

typedef Packet | regina::NPacket
| Deprecated typedef for backward compatibility. More...

## Functions

Packet * | regina::open (const char *filename)
| Reads a Regina data file, and returns the corresponding packet tree. More...
Packet * | regina::open (std::istream &in)
| Reads a Regina data file from the given input stream, and returns the corresponding packet tree. More...

## Detailed Description

Deals with packets of information that form the working data objects.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).